<?php

namespace App\Entities\PagSeguro\Order;

use App\Utils\Entity;

class PagSeguroQrCodes extends Entity {
	protected $expiration_date;
	protected $amount;

	public static function builder(): PagSeguroQrCodesBuilder {

		return new PagSeguroQrCodesBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getExpirationDate() {

		return $this->expiration_date;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getAmount(PagSeguroAmount $amount) {

		return $this->amount;

	}

	/**
	 *
	 * @param mixed $expiration_date
	 */
	public function setExpirationDate($expiration_date) {

		$this->expiration_date = $expiration_date;

	}

	/**
	 *
	 * @param mixed $amount
	 */
	public function setAmount($amount) {

		$this->amount = $amount;

	}

}

